package com.oozinoz.applications;

//import com.sun.java.swing.*;
import javax.swing.*;

//import java.util.*;
import java.awt.*;


import com.oozinoz.ui.SwingFacade;

/*
 * Copyright (c) 2001 Steven J. Metsker.
 * 
 * Steve Metsker makes no representations or warranties about
 * the fitness of this software for any particular purpose, 
 * including the implied warranty of merchantability.
 *
 * Please use this software as you wish with the sole
 * restriction that you may not claim that you wrote it.
 */
/**
 * This class shows how to draw a circle using parametric
 * equations.
 * 
 * @author Steven J. Metsker
 */
public class ShowCircle extends JPanel 
{





/**
 * Show a circle.
 */
public static void main(String[] args)
{
	ShowCircle sc = new ShowCircle();
	sc.setPreferredSize(new Dimension(300, 300));
	SwingFacade.launch(sc, " Circle");
}
protected void paintComponent(Graphics g)
{
	super.paintComponent(g);
	int nPoint = 101;
	double w = getWidth() - 1;
	double h = getHeight() - 1;
	double r = Math.min(w, h) / 2.0;
	int[] x = new int[nPoint];
	int[] y = new int[nPoint];
	for (int i = 0; i < nPoint; i++)
	{
		double t = ((double) i) / (nPoint - 1);
		double theta = Math.PI * 2.0 * t;
		x[i] = (int) (w / 2 + r * Math.cos(theta));
		y[i] = (int) (h / 2 - r * Math.sin(theta));
	}
	g.drawPolyline(x, y, nPoint);
}
}